> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platnova.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Events

> Retrieve transaction and event history for a card.

## Overview

Retrieve a paginated list of all events (transactions, deposits, withdrawals, etc.) associated with a specific card. This endpoint provides a complete history of card activity.


## OpenAPI

````yaml GET /v1/cards/{card_id}/events
openapi: 3.1.0
info:
  title: API
  version: 1.0.0
  description: >-
    Platnova's Business API allows businesses to issue virtual accounts and
    cards to their employees, vendors, or retail customers. It allows businesses
    to streamline the process of issuing cards, manage spending, and track
    transactions. The API documentation provides information on how to integrate
    our virtual card issuing system into a business's existing systems and
    outlines the features and functionalities of the API, including card and
    account creation, management, and reporting. It also provides technical
    specifications, such as API requests, responses, and authentication
    processes.


    The API documentation is intended for developers and IT teams to use in
    order to effectively implement Platnova solutions into their business
    processes.


    # Authentication/Authorization


    To access any of the resources on the `{BaseUrl}/v1/`, the client has to
    pass pre-defined headers for authentication and authorization.


    The API is secure and only authorized clients can consume the service. There
    are API keys assigned to every business and JWT tokens assigned to every
    account for authentication/authorization.


    ## Bearer Token


    Requests may accept jwt tokens as below.


    ``` json

    Authorization: Bearer <jwt token>

     ```

    ## API Key


    Requests may acccept an api key either in the request headers or as a query
    parameter. Some requests cannot be authorized using an API key.


    ``` json

    X-API-KEY: <api key>

     ```

    OR


    ``` json

    ?api-key=<api key>

     ```

    # Base URL


    [https://sandbox.api.platnova.co](https://sandbox.api.platnova.co)


    # Errors


    Unauthorized API key


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access"
    }

     ```

    Permission Denied


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access: permission denied"
    }

     ```
servers:
  - url: https://api.platnova.com
    description: Production server
  - url: https://sandbox.api.platnova.co
    description: Development server
security:
  - apiKeyAuth: []
tags:
  - name: Customer
    description: Create and manage customers
  - name: Virtual Account
    description: Create and manage virtual accounts
  - name: Card
    description: Create and manage cards
  - name: Wallet
    description: List and manage wallets
  - name: Payment
    description: Send and verify payments
  - name: Transaction
    description: List transactions and generate receipts
  - name: Checkout
    description: Create and retrieve checkout sessions
  - name: Payment Link
    description: Create and manage payment links
  - name: Invoice
    description: Create and manage invoices
paths:
  /v1/cards/{card_id}/events:
    parameters:
      - name: card_id
        in: path
        required: true
        description: unique id of a card
        example: 18ee492a-617c-4878-958a-2ee08dc20ff4
        schema:
          type: integer
    get:
      tags:
        - Card
      summary: List card events
      description: Retrieve transaction and event history for a card.
      operationId: listCardEvents
      parameters:
        - name: page
          in: query
          required: false
          description: 0-indexed page number
          example: '0'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          description: number of items per page
          example: '10'
          schema:
            type: integer
      responses:
        '200':
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Content-Length, Accept-Encoding, X-CSRF-Token,
                Authorization, accept, origin, Cache-Control, X-Requested-With,
                Api-Version, Platform
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: POST, OPTIONS, GET, PUT, PATCH, DELETE
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Content-Type:
              schema:
                type: string
              example: application/json
            Date:
              schema:
                type: string
              example: Mon, 08 Sep 2025 17:10:27 GMT
            Content-Length:
              schema:
                type: integer
              example: '678'
          description: 200 - Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            event_id:
                              type: string
                            amount:
                              type: string
                            merchant_name:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                            description:
                              type: string
                            type:
                              type: string
                            currency:
                              type: string
                            status:
                              type: string
                            meta:
                              type: object
                      page:
                        type: integer
                      size:
                        type: integer
                      max_page:
                        type: integer
                      total_pages:
                        type: integer
                      total:
                        type: integer
                      last:
                        type: boolean
                      first:
                        type: boolean
                      visible:
                        type: integer
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: true
                data:
                  items:
                    - event_id: UTR_3jtbBJC7lPJmYfcJXEWfaN2Sk1t57T
                      amount: '525'
                      merchant_name: Platnova
                      created_at: '2025-07-22T15:45:28.223603+01:00'
                      description: Platnova | Card withdr...
                      type: withdraw_card
                      currency: ngn
                      status: processing
                      meta: {}
                    - event_id: UTR_zPV3SCUoo66yeH4syVxLdac7CqAvff
                      amount: '4'
                      merchant_name: Platnova
                      created_at: '2025-07-22T14:29:03.940373+01:00'
                      description: Platnova | Card creati...
                      type: create_card
                      currency: ngn
                      status: success
                      meta: {}
                  page: 0
                  size: 10
                  max_page: 0
                  total_pages: 1
                  total: 2
                  last: true
                  first: true
                  visible: 2
                error: []
                message: operation was successful
        '400':
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Content-Length, Accept-Encoding, X-CSRF-Token,
                Authorization, accept, origin, Cache-Control, X-Requested-With,
                Api-Version, Platform
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: POST, OPTIONS, GET, PUT, PATCH, DELETE
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Content-Type:
              schema:
                type: string
              example: application/json
            Date:
              schema:
                type: string
              example: Mon, 08 Sep 2025 17:12:17 GMT
            Content-Length:
              schema:
                type: integer
              example: '64'
          description: 400 - Card not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: false
                data: {}
                error: []
                message: card not found
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````